GrailsFlashScope (Grails 6.0.0)

Package: org.grails.web.servlet

## [Java] Class GrailsFlashScope

- org.grails.web.servlet.GrailsFlashScope

- All Implemented Interfaces and Traits:
    FlashScope

      @java.lang.SuppressWarnings({"unchecked","rawtypes"})
      public class GrailsFlashScope
      extends java.lang.Object
      implements FlashScope

  Grails implementation of Flash scope (

  See Also:
    FlashScope
  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `ERRORS_PREFIX` |
    `private static java.lang.String` | `ERRORS_PROPERTY` |
    `private java.util.Map` | `current` |
    `private java.util.Map` | `next` |
    `private boolean` | `registerWithSession` |
    `private static long` | `serialVersionUID` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsFlashScope ()`
    `GrailsFlashScope (boolean registerWithSession)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clear()`
    `` | `public boolean` | `containsKey(java.lang.Object key)`
    `` | `public boolean` | `containsValue(java.lang.Object value)`
    `` | `public java.util.Set<Map.Entry<java.lang.String, java.lang.Object>>` | `entrySet()`
    `` | `public java.lang.Object` | `get(java.lang.Object key)`
    `` | `public java.util.Map` | `getNow()`
    `` | `public boolean` | `isEmpty()`
    `` | `public java.util.Set<java.lang.String>` | `keySet()`
    `` | `public void` | `next()`
    `` | `public java.lang.Object` | `put(java.lang.String key, java.lang.Object value)`
    `` | `public void` | `putAll(java.util.Map<? extends java.lang.String, ? extends java.lang.Object> t)`
    `` | `private void` | `reassociateObjectWithErrors(java.util.Map scope, java.lang.Object value)`
    `` | `private void` | `reassociateObjectsWithErrors(java.util.Map scope)`
    `` | `private void` | `registerWithSessionIfNecessary()`
    `` | `public java.lang.Object` | `remove(java.lang.Object key)`
    `` | `public int` | `size()`
    `` | `private void` | `storeErrorsIfPossible(java.util.Map scope, java.lang.Object value)`
    `` | `public java.util.Collection<java.lang.Object>` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String ERRORS_PREFIX

    - #### private static final java.lang.String ERRORS_PROPERTY

    - #### private java.util.Map current

    - #### private java.util.Map next

    - #### private final boolean registerWithSession

    - #### private static final long serialVersionUID

  - ### Constructor Detail

    - #### public GrailsFlashScope()

    - #### public GrailsFlashScope(boolean registerWithSession)

  - ### Method Detail

    - #### public void clear()

    - #### public boolean containsKey(java.lang.Object key)

    - #### public boolean containsValue(java.lang.Object value)

    - #### public java.util.Set<Map.Entry<java.lang.String, java.lang.Object>> entrySet()

    - #### public java.lang.Object get(java.lang.Object key)

    - #### public java.util.Map getNow()

    - #### public boolean isEmpty()

    - #### public java.util.Set<java.lang.String> keySet()

    - #### public void next()

    - #### public java.lang.Object put(java.lang.String key, java.lang.Object value)

    - #### public void putAll(java.util.Map<? extends java.lang.String, ? extends java.lang.Object> t)

    - #### private void reassociateObjectWithErrors(java.util.Map scope, java.lang.Object value)

    - #### private void reassociateObjectsWithErrors(java.util.Map scope)

    - #### private void registerWithSessionIfNecessary()

    - #### public java.lang.Object remove(java.lang.Object key)

    - #### public int size()

    - #### private void storeErrorsIfPossible(java.util.Map scope, java.lang.Object value)

    - #### public java.util.Collection<java.lang.Object> values()